For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sign typed data

post

Handles the signing of typed data for a given account.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account for which the data is to be signed.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Body
  • The data to be signed.
chain_idstringOptional

The optional chain ID associated with the data.

datastringRequired

The data to be signed.

Responses
200

A promise that resolves to a SignMessageAPIResponse object containing the result of the signing operation.

application/json

Interface representing the response from the Sign Message API. Extends the BaseAPIResponse interface.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post
/accounts/{accountName}/sign-typed-data
200

A promise that resolves to a SignMessageAPIResponse object containing the result of the signing operation.